package com.malk.hangshi.controller;

import com.alibaba.fastjson.JSON;
import com.malk.server.aliwork.YDConf;
import com.malk.server.aliwork.YDParam;
import com.malk.server.common.McR;
import com.malk.service.aliwork.YDClient;
import com.malk.service.dingtalk.DDClient;
import com.malk.service.dingtalk.DDClient_Contacts;
import com.malk.utils.UtilMap;
import com.malk.utils.UtilServlet;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * 错误抛出与拦截详见CatchException
 */
@Slf4j
@RestController
@RequestMapping
public class HSController {

    @Autowired
    private DDClient ddClient;

    @Autowired
    private DDClient_Contacts ddClient_contacts;

    /**
     * 获取员工人数
     */
    @PostMapping("user/count")
    McR queryCount() {
        return McR.success(ddClient_contacts.getUserCount(ddClient.getAccessToken(), true));
    }


    @Autowired
    private YDClient ydClient;

    /**
     * 自愿上报动态审批
     */
    @PostMapping("user/approve")
    List<String> approveFKGL(HttpServletRequest request) {

        Map param = UtilServlet.getParamMap(request);
        log.info("自愿上报动态审批, {}", param);

        List<Map> list = (List<Map>) ydClient.queryData(YDParam.builder()
                .formUuid("FORM-3C866TC1RA29KJXD7XF4N4ZXW9932Z69W6CFLR")
                .searchFieldJson(JSON.toJSONString(UtilMap.map("textField_lfw8yizv, selectField_lfw82zh0", "子公司安全部人员", param.get("corpName"))))
                .build(), YDConf.FORM_QUERY.retrieve_search_form).getData();
        List<String> userIds = list.stream().map(item -> String.valueOf(((Map) item.get("formData")).get("textField_lfw8yizu"))).collect(Collectors.toList());
        return userIds;
    }
}

